/*
 * IOSpec.java
 * Base resource specification for IO resources.
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.resources;

/**
 * Base resource specification for IO resources.
 */
public abstract class IOSpec
    extends ResourceSpec
    implements Cloneable
{
    protected IOSpec()
    {
    }

    public String toString()
    {
	return "IOSpec[]";
    }
}
